//공지사항
let noticeUids = [];
let readNoticeList = (JSON.parse(localStorage.getItem('readNoticeList')) || []);
let selfDeletedNoticeList = (JSON.parse(localStorage.getItem('selfDeletedNoticeList')) || []);

function getNotices(){
    let tempUrl = server_host + server_port + '/astroapi/notice/v1/notices/all';

    cordova.plugin.http.get(tempUrl, {}, {
        Authorization: 'Bearer ' + userData.astroToken
    }, function (response) {
        let jsonData = JSON.parse(response.data);
       
        allNotices = jsonData;
        // 내림차순으로 정렬
        jsonData.data.sort(function(a, b) {
            return b.uid - a.uid;
        });


        if($('#notice_srch_keyword').val() != ''){
            $('#notice_srch_keyword').trigger('keyup');
        }
        $(".notice_pop").stop().show(); // 공지사항을 불러온 후 팝업 열기

        // jsonData에서 공지사항의 uid 추출
        let jsonDataUids = jsonData.data.map(function(notice) {
            return notice.uid;
        });

        // readNoticeList에는 있지만 jsonData에는 없는 uid 삭제
        readNoticeList = readNoticeList.filter(function(uid) {
            return jsonDataUids.includes(uid);
        });

        localStorage.setItem('readNoticeList', JSON.stringify(readNoticeList));

    }, function (response) {
        // prints 403
        console.log('readAllNotices',"공지사항 불러오기 실패 response status:" + JSON.stringify(response));
        console.log('readAllNotices',response.error);
        popAlert("공지사항 불러오기 실패 오류가 발생했습니다.<br/>잠시 후 다시 시도해 주세요");
    });
};

